/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtymis.custom.service.LeakInfoService;
import com.tofly.xrtymis.custom.vo.PublicRewardWaterVo;
import com.tofly.xrtymis.entity.LeakInfo;
import com.tofly.xrtymis.mapper.LeakInfoMapper;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 漏点基本信息表
 *
 * @author admin
 * @date Mon Mar 21 00:00:00 CST 2022
 */
@Service("leakInfoService")
public class LeakInfoServiceImpl extends ServiceImpl<LeakInfoMapper, LeakInfo> implements LeakInfoService {

    @Override
    public void updatePublicLeakInfo(String water,Long orderId,String isReal){
        baseMapper.updatePublicLeakInfo(water, orderId,isReal);
    }

    @Override
    public void updatePublicRewardWaterVolume(Long orderId, String rewardWaterVolume) {
        baseMapper.updatePublicRewardWaterVolume(orderId,rewardWaterVolume);
    }

    @Override
    public void updateYxState(Long orderId) {
        baseMapper.updateYxState(orderId);
    }

    @Override
    public PublicRewardWaterVo getPublicRewardWaterVolumeOpenId(Long orderId) {
        return baseMapper.getPublicRewardWaterVolumeOpenId(orderId);
    }
}
